Page MenuHomePhabricator

Rewrite SSH configuration as XML interface definition
Closed, ResolvedPublicFEATURE REQUEST

Description

This task should track the progress on migrating the current SSH configuration to the new vyos-1x XML interface definition.

This also should later also implement multi nodes as suggested in T122. As this will be a configuration break a migration script is needed. Maybe @dmbaturin can point to a migration script for migrating config nodes.

@alainlamar I added you b/c you also worked on this part.

Details

Difficulty level
Hard (possibly days)
Version
-
Why the issue appeared?
Will be filled on close
c-po created this task.May 11 2018, 5:38 PM
c-po claimed this task.
c-po changed Difficulty level from Unknown (require assessment) to Hard (possibly days).
c-po added a comment.May 12 2018, 10:32 AM

Changes can be seen here: https://github.com/c-po/vyos-1x/commits/ssh-rewrite

TODO: Use jinja2 template for config generation

c-po moved this task from In Progress to Finished on the VyOS 1.2.x board.May 13 2018, 12:19 PM
dmbaturin changed the status of subtask T634: Remove "service ssh allow-root" from Open to In progress.May 16 2018, 1:09 AM
syncer triaged this task as Normal priority.May 27 2018, 9:43 AM
dmbaturin closed this task as Resolved.